# List the DNS providers the Connect engine can detect and automate

> list providers: reference page for this CustomDomain™ API operation in the providers group. Covers parameters, request body, responses and error codes.

Source: https://docs.customdomain.ai/docs/api-reference/providers/listProviders

## `GET https://api.customdomain.ai/v1/providers`

### Authentication

None.

### Responses

| Status | Description |
| --- | --- |
| `200` | Provider capability catalog |

### `200` response body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `providers` | array of object | yes |  |
| `count` | integer | yes |  |

The full specification is served at `GET https://api.customdomain.ai/v1/openapi.json`.
